#version 100
precision mediump float;varying vec4 col;varying vec2 uv;uniform float gamma;
uniform float con;uniform float lum;uniform sampler2D tex0;	void main(){vec3 
normal;vec4 orig = texture2D(tex0,uv);orig = (orig - vec4(.5,.5,.5,1.))*con + 
vec4(.5,.5,.5,1.);orig+= vec4(lum,lum,lum,1);orig = vec4(pow(orig.r, gamma),
pow(orig.g, gamma),pow(orig.b, gamma),pow(orig.a, gamma));gl_FragColor = orig;}